Index: orxonox/trunk/src/animation.cc
===================================================================
--- orxonox/trunk/src/animation.cc	(revision 3852)
+++ orxonox/trunk/src/animation.cc	(revision 3853)
@@ -19,5 +19,9 @@
 #include "animation_player.h"
 
-
+/**
+   \brief creates a new Animation
+   
+   This also adds the Animation automatically to the AnimationPlayer's list
+*/
 Animation::Animation(void)
 {  
@@ -34,4 +38,9 @@
 }
 
+/**
+   \brief destructs the Animation
+   
+   this also takes the animation out of the AnimationPlayer's list (if it is there)
+*/
 Animation::~Animation(void)
 {
@@ -39,4 +48,10 @@
 }
 
+/**
+   \brief tells the AnimationPlayer, that we do not wish to  handle this animation
+   automatically.
+   
+   This means that it will not be ticked, and not be deleted with the AnimationPlayer
+*/
 void Animation::doNotHandle(void)
 {
@@ -45,5 +60,8 @@
 }
 
-
+/**
+   \brief Sets the infinitymode
+   \param postInfinity How the Animation should advance after the last Keyframe
+*/
 void Animation::setInfinity(ANIM_INFINITY postInfinity)
 {
@@ -51,5 +69,7 @@
 }
 
-
+/**
+   \brief plays the animation back from the current Time forward
+*/
 void Animation::play()
 {
@@ -57,5 +77,7 @@
 }
 
-
+/**
+   \brief Stops the animation. eg. pause(); rewind();
+*/
 void Animation::stop()
 {
@@ -65,8 +87,16 @@
   this->bRunning = false;
 }
+
+/**
+   \brief Pauses the animation. Stays at the current Time
+*/
 void Animation::pause()
 {
   this->bRunning = false;
 }
+
+/**
+   \brief replays the animation, eg. rewind();play();
+*/
 void Animation::replay()
 {
Index: orxonox/trunk/src/animation.h
===================================================================
--- orxonox/trunk/src/animation.h	(revision 3852)
+++ orxonox/trunk/src/animation.h	(revision 3853)
@@ -14,4 +14,5 @@
 #define DELTA_X 0.05  //!< the percentag of the distance that doesnt have to be done by neg_exp (asymptotical) ~ maschinendelta
 
+//! An enumerator of Functions to describe the flow of the Animation
 typedef enum ANIM_FUNCTION {ANIM_CONSTANT,
 			    ANIM_LINEAR,
@@ -23,4 +24,5 @@
 			    ANIM_RANDOM};
 
+//! An enumerator describing what the animation should do after the last keyframe.
 typedef enum ANIM_INFINITY {ANIM_INF_CONSTANT,
 			    ANIM_INF_LINEAR,
@@ -28,11 +30,22 @@
 			    ANIM_INF_REWIND};//, ANIM_DELETE}
 
+//! A Struct for Keyframes that simply hold a float
 typedef struct KeyFrameF
 {
-  float duration;
-  float value;
-  ANIM_FUNCTION animFunc;
+  float duration;             //!< duration of this keyframe
+  float value;                //!< value of this keyframe
+  ANIM_FUNCTION animFunc;     //!< with whitch function to iterate to the next KeyFrameF
 };
 
+//! A Superclass for describing an animation (all animations will be derived from this one)
+/** implement in subclasses:
+ * 
+ * De-/Constructor
+ * Animation Functions
+ * virtual tick
+ * List of keyFrames
+ * currentKeyFrame/nextKeyFrame
+ * virtual rewind, to go to the first Keyframe. (other functions will call this one)
+*/
 class Animation
 {
@@ -47,17 +60,8 @@
   void pause();
   void replay();
+  //! A virtual function that should change to the first keyframe.
   virtual void rewind() = 0;
-
+  /** \brief A virtual function that ticks the animation \param dt the time passed */
   virtual void tick(float dt) = 0;
-
-  /* implement in subclasses:
-   * 
-   * De-/Constructor
-   * Animation Functions
-   * virtual tick
-   * List of keyFrames
-   * currentKeyFrame/nextKeyFrame
-   * virtual rewind, to go to the first Keyframe. (other functions will call this one)
-   */
 
   /**
@@ -70,12 +74,11 @@
 
   // variables
-
-  float localTime;
-  ANIM_INFINITY postInfinity;
+  float localTime;                //!< The Time passed since the beginning of the currentKeyFrame.
+  ANIM_INFINITY postInfinity;     //!< describing what the animation should do after the last keyframe.
 
   BaseObject* baseObject;         //!< The same as object in the derived classes, but with reference to BaseObject
-  bool bHasKeys;
+  bool bHasKeys;                  //!< If the animation has any keys at all. Needed to add the first keyframe (and delete the dummy).
   bool bHandled;                  //!< If this Animation is handled by the AnimationPlayer.
-  bool bRunning;
+  bool bRunning;                  //!< If the animation is running
 };
 
Index: orxonox/trunk/src/animation3d.cc
===================================================================
--- orxonox/trunk/src/animation3d.cc	(revision 3852)
+++ orxonox/trunk/src/animation3d.cc	(revision 3853)
@@ -113,4 +113,5 @@
 		{
 		case ANIM_INF_CONSTANT:
+		  this->localTime = 0.0;
 		  this->bRunning = false;
 		  break;
Index: orxonox/trunk/src/t_animation.h
===================================================================
--- orxonox/trunk/src/t_animation.h	(revision 3852)
+++ orxonox/trunk/src/t_animation.h	(revision 3853)
@@ -171,4 +171,5 @@
 		{
 		case ANIM_INF_CONSTANT:
+		  this->localTime = 0.0;
 		  this->bRunning = false;
 		  break;