Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3861)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3862)
@@ -259,5 +259,5 @@
 ( 520 840 64 ) ( 448 840 64 ) ( 520 840 -64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
 ( 774 760 64 ) ( 774 760 -64 ) ( 774 696 64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
-( 448 712 -32 ) ( 520 712 -32 ) ( 448 776 -32 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
+( 449 712 -26 ) ( 521 712 -26 ) ( 449 776 -26 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
 ( 448 712 -64 ) ( 448 712 64 ) ( 520 712 -64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
 ( -168 712 -64 ) ( -168 776 -64 ) ( -168 712 64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
@@ -799,10 +799,10 @@
 // brush 85
 {
-( 528 872 -20 ) ( 528 840 -20 ) ( 448 872 -20 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 520 864 -16 ) ( 440 864 -16 ) ( 520 864 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 530 872 -16 ) ( 530 872 -24 ) ( 530 840 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 448 840 -24 ) ( 528 840 -24 ) ( 448 872 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 448 832 -24 ) ( 448 832 -16 ) ( 528 832 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 446 840 -24 ) ( 446 872 -24 ) ( 446 840 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 528 872 -20 ) ( 528 840 -20 ) ( 448 872 -20 ) base_trim/proto_fence 0 0 0 0.200000003 0.200000003 0 0 0
+( 520 864 -16 ) ( 440 864 -16 ) ( 520 864 -24 ) base_trim/proto_fence 0 0 0 0.200000003 0.200000003 0 0 0
+( 530 872 -16 ) ( 530 872 -24 ) ( 530 840 -16 ) base_trim/proto_fence 0 0 0 0.200000003 0.200000003 0 0 0
+( 448 840 -24 ) ( 528 840 -24 ) ( 448 872 -24 ) base_trim/proto_fence 0 0 0 0.200000003 0.200000003 0 0 0
+( 448 832 -24 ) ( 448 832 -16 ) ( 528 832 -24 ) base_trim/proto_fence 0 0 0 0.200000003 0.200000003 0 0 0
+( 446 840 -24 ) ( 446 872 -24 ) ( 446 840 -16 ) base_trim/proto_fence 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 86
@@ -1321,10 +1321,10 @@
 // brush 143
 {
-( -900 800 -155.5 ) ( -900 584 -155.5 ) ( -1044 800 -155.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -900 832 -158.5 ) ( -1044 832 -158.5 ) ( -900 832 -166.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 937.5 755.5 -157.5 ) ( 937.5 755.5 -165.5 ) ( 937.5 539.5 -157.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1044 470.5 -162.5 ) ( -900 470.5 -162.5 ) ( -1044 686.5 -162.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1068 -192.5 -162.5 ) ( -1068 -192.5 -154.5 ) ( -924 -192.5 -162.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1658 546 -163.5 ) ( -1658 762 -163.5 ) ( -1658 546 -155.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -900 800 -155.5 ) ( -900 584 -155.5 ) ( -1044 800 -155.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -900 832 -158.5 ) ( -1044 832 -158.5 ) ( -900 832 -166.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 937.5 755.5 -157.5 ) ( 937.5 755.5 -165.5 ) ( 937.5 539.5 -157.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1044 470.5 -162.5 ) ( -900 470.5 -162.5 ) ( -1044 686.5 -162.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1068 -192.5 -162.5 ) ( -1068 -192.5 -154.5 ) ( -924 -192.5 -162.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1658 546 -163.5 ) ( -1658 762 -163.5 ) ( -1658 546 -155.5 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 144
Index: data/trunk/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- data/trunk/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3861)
+++ data/trunk/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3862)
@@ -17,5 +17,5 @@
     <SkyBox>
      <name>Sky</name>
-     <Materialset>pictures/sky/space/space</Materialset>
+     <Materialset>pictures/sky/simple_space</Materialset>
      <Size>10000</Size>
     </SkyBox>