Index: /data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- /data/trunk/worlds/single_player_proto_world_01.map	(revision 3883)
+++ /data/trunk/worlds/single_player_proto_world_01.map	(revision 3884)
@@ -5399,5 +5399,5 @@
 // brush 576
 {
-( 280 392 97 ) ( 280 384 97 ) ( 264 392 97 ) base_wall/basewall01 -3 26 0 0.3000000119 0.3600000143 0 0 0
+( 275 392 126 ) ( 275 384 126 ) ( 259 392 126 ) base_wall/basewall01 -3 26 0 0.3000000119 0.3600000143 0 0 0
 ( 280 392 97 ) ( 264 392 97 ) ( 280 392 9 ) base_wall/basewall03 -2 67 0 0.3300000131 0.3000000119 0 0 0
 ( 280 392 97 ) ( 280 392 9 ) ( 280 384 97 ) base_wall/basewall01 -3 26 0 0.3000000119 0.3600000143 0 0 0
@@ -5823,10 +5823,169 @@
 // brush 622
 {
-( 280 400 128 ) ( 280 392 128 ) ( 274 400 128 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 282 400 126 ) ( 282 392 126 ) ( 276 400 126 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 279 397 35 ) ( 273 397 35 ) ( 279 397 25 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 275 399 73 ) ( 275 399 63 ) ( 275 391 73 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 274 399 108 ) ( 274 399 98 ) ( 274 391 108 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 272 392 25 ) ( 278 392 25 ) ( 272 400 25 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 272 392 25 ) ( 272 392 35 ) ( 278 392 25 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 272 392 25 ) ( 272 400 25 ) ( 272 392 35 ) base_trim/dirty_pewter_big 72 295 0 0.3000000119 0.3300000131 0 0 0
+}
+// brush 623
+{
+( 264 396 25.5 ) ( 264 394 25.5 ) ( 227 396 25.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 264 397 25.5 ) ( 227 397 25.5 ) ( 264 397 24.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 272 396 25.5 ) ( 272 396 24.5 ) ( 272 394 25.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 227 394 24.5 ) ( 264 394 24.5 ) ( 227 396 24.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 228 392 24.5 ) ( 228 392 25.5 ) ( 265 392 24.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 220 394 24.5 ) ( 220 396 24.5 ) ( 220 394 25.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+}
+// brush 624
+{
+( 219.5 396 89 ) ( 219.5 391 89 ) ( 219 396 89 ) evil4_techwalls/drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+( 220.5 397 26 ) ( 220 397 26 ) ( 220.5 397 25 ) evil4_techwalls/drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+( 220.5 397 26 ) ( 220.5 397 25 ) ( 220.5 392 26 ) evil4_techwalls/drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+( 220 392 25 ) ( 220.5 392 25 ) ( 220 397 25 ) evil4_techwalls/drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+( 220 392 25 ) ( 220 392 26 ) ( 220.5 392 25 ) evil4_techwalls/drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+( 219.5 392 25 ) ( 219.5 397 25 ) ( 219.5 392 26 ) evil4_techwalls/drkmtl_dpanel 0 0 0 0.5 0.5 0 0 0
+}
+// brush 625
+// brush 626
+{
+( 266 392 121 ) ( 266 384 121 ) ( 250 392 121 ) base_wall/basewall03 110 16 0 0.3000000119 0.3600000143 0 0 0
+( 272 392 97 ) ( 256 392 97 ) ( 272 392 9 ) base_wall/basewall03 110 16 0 0.3000000119 0.3600000143 0 0 0
+( 272 392 97 ) ( 272 392 9 ) ( 272 384 97 ) base_wall/basewall03 110 16 0 0.3000000119 0.3600000143 0 0 0
+( 254.5 384 89 ) ( 270.5 384 89 ) ( 254.5 392 89 ) base_wall/basewall03 110 16 0 0.3000000119 0.3600000143 0 0 0
+( 257 390 9 ) ( 257 390 97 ) ( 273 390 9 ) base_wall/basewall03 110 16 0 0.3000000119 0.3600000143 0 0 0
+( 220 384 9 ) ( 220 392 9 ) ( 220 384 97 ) base_wall/basewall03 110 16 0 0.3000000119 0.3600000143 0 0 0
+}
+// brush 627
+{
+( 314.5 396 88.5 ) ( 314.5 394 88.5 ) ( 277.5 396 88.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 314.5 397 26.5 ) ( 277.5 397 26.5 ) ( 314.5 397 25.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 272 396 26.5 ) ( 272 396 25.5 ) ( 272 394 26.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 277.5 394 25.5 ) ( 314.5 394 25.5 ) ( 277.5 396 25.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 278.5 392 25.5 ) ( 278.5 392 26.5 ) ( 315.5 392 25.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 271.5 394 25.5 ) ( 271.5 396 25.5 ) ( 271.5 394 26.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+}
+// brush 628
+{
+( 263.5 396 89.5 ) ( 263.5 394 89.5 ) ( 226.5 396 89.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 263.5 397 89.5 ) ( 226.5 397 89.5 ) ( 263.5 397 88.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 272 396 89.5 ) ( 272 396 88.5 ) ( 272 394 89.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 226.5 394 88.5 ) ( 263.5 394 88.5 ) ( 226.5 396 88.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 227.5 392 88.5 ) ( 227.5 392 89.5 ) ( 264.5 392 88.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+( 219.5 394 88.5 ) ( 219.5 396 88.5 ) ( 219.5 394 89.5 ) evil4_techwalls/drkmtl_dpanelb -41 -5 0 0.5 0.6000000238 0 0 0
+}
+// brush 629
+{
+( 156.25 393.658706665 51.5 ) ( 155.0408477783 392.7710571289 51.5 ) ( 155.3623504639 394.8678741455 51.5 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 156.9489440918 393.5515441895 51 ) ( 156.0612792969 394.7607116699 51 ) ( 156.9489440918 393.5515441895 50 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 156.9489440918 393.5515441895 51 ) ( 156.9489440918 393.5515441895 50 ) ( 155.7397918701 392.6638793945 51 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.1531829834 393.9802093506 50 ) ( 155.0408477783 392.7710571289 50 ) ( 155.3623504639 394.8678741455 50 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.1531829834 393.9802093506 50 ) ( 154.1531829834 393.9802093506 51 ) ( 155.0408477783 392.7710571289 50 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.1531829834 393.9802093506 50 ) ( 155.3623504639 394.8678741455 50 ) ( 154.1531829834 393.9802093506 51 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 156.6530609131 393.9546051025 -64 ) ( 156.5458984375 393.2556610107 -64 ) ( 156.6530609131 393.9546051025 64 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 155.7397918701 392.6638793945 -64 ) ( 155.0408477783 392.7710571289 -64 ) ( 155.7397918701 392.6638793945 64 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.4490814209 393.5771484375 -64 ) ( 154.5562438965 394.2760925293 -64 ) ( 154.4490814209 393.5771484375 64 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 155.3623504639 394.8678741455 -64 ) ( 156.0612792969 394.7607116699 -64 ) ( 155.3623504639 394.8678741455 64 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+}
+// brush 630
+{
+( 160.424911499 397.9641265869 60.5301513672 ) ( 158.9736022949 396.8986968994 61.4011230469 ) ( 160.1290283203 398.3671722412 60.5301513672 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 157.5812072754 395.8765106201 56.6823883057 ) ( 157.2853240967 396.2795562744 56.6823883057 ) ( 155.2994232178 394.2014160156 50.8311157227 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 158.6696929932 396.6755828857 56.0291748047 ) ( 156.3879089355 395.0004882812 50.1778869629 ) ( 157.2183837891 395.6101531982 56.9001312256 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.6407165527 394.338104248 51.0488586426 ) ( 154.9365997314 393.9350585938 51.0488586426 ) ( 156.092010498 395.4035339355 50.1778869629 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.6407165527 394.338104248 51.0488586426 ) ( 156.9225006104 396.0131988525 56.9001312256 ) ( 154.9365997314 393.9350585938 51.0488586426 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 153.552230835 393.5390319824 51.7020721436 ) ( 155.0035400391 394.6044616699 50.8311157227 ) ( 155.8340148926 395.2141418457 57.5533599854 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+}
+// brush 631
+{
+( 161.3125762939 396.7549591064 60.5301513672 ) ( 159.8612670898 395.6895294189 61.4011230469 ) ( 161.0166931152 397.1580200195 60.5301513672 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 158.4688720703 394.6673583984 56.6823883057 ) ( 158.1729888916 395.0704040527 56.6823883057 ) ( 156.1870880127 392.9922637939 50.8311157227 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 159.5573577881 395.4664306641 56.0291748047 ) ( 157.2755737305 393.7913208008 50.1778869629 ) ( 158.106048584 394.4010009766 56.9001312256 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 155.5283813477 393.1289520264 51.0488586426 ) ( 155.8242645264 392.7259063721 51.0488586426 ) ( 156.979675293 394.1943817139 50.1778869629 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 155.5283813477 393.1289520264 51.0488586426 ) ( 157.8101654053 394.8040466309 56.9001312256 ) ( 155.8242645264 392.7259063721 51.0488586426 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+( 154.4398956299 392.3298797607 51.7020721436 ) ( 155.891204834 393.3953094482 50.8311157227 ) ( 156.7216796875 394.0049743652 57.5533599854 ) base_wall/bluemetalsupport2e 0 0 0 0.5 0.5 0 0 0
+}
+// brush 632
+{
+( 168.4370880127 403.2257232666 62.5908050537 ) ( 167.9960479736 402.9019470215 64.5145111084 ) ( 168.141204834 403.6287841797 62.5908050537 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 164.2295379639 400.1368865967 62.6657714844 ) ( 163.9336547852 400.5399475098 62.6657714844 ) ( 159.1897277832 396.4370880127 60.8876342773 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 164.5603179932 400.3797302246 61.2229919434 ) ( 159.5205078125 396.6799163818 59.4448394775 ) ( 164.1192779541 400.0559387207 63.146697998 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 158.7835998535 396.7592010498 61.3685455322 ) ( 159.0794830322 396.3561401367 61.3685455322 ) ( 159.2246246338 397.0829620361 59.4448394775 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 158.7835998535 396.7592010498 61.3685455322 ) ( 163.8233795166 400.4589996338 63.146697998 ) ( 159.0794830322 396.3561401367 61.3685455322 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 158.4528045654 396.5163574219 62.8113250732 ) ( 158.8938446045 396.840133667 60.8876342773 ) ( 163.4926147461 400.2161712646 64.5894927979 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+}
+// brush 633
+{
+( 169.3247528076 402.0165710449 62.5908050537 ) ( 168.8837127686 401.6927947998 64.5145111084 ) ( 169.0288696289 402.4196166992 62.5908050537 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 165.1172027588 398.927734375 62.6657714844 ) ( 164.8213043213 399.3307800293 62.6657714844 ) ( 160.0773925781 395.227935791 60.8876342773 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 165.4479827881 399.1705780029 61.2229919434 ) ( 160.4081726074 395.4707641602 59.4448394775 ) ( 165.006942749 398.846786499 63.146697998 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 159.6712493896 395.5500488281 61.3685455322 ) ( 159.9671478271 395.146987915 61.3685455322 ) ( 160.1122894287 395.8738098145 59.4448394775 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 159.6712493896 395.5500488281 61.3685455322 ) ( 164.7110443115 399.2498474121 63.146697998 ) ( 159.9671478271 395.146987915 61.3685455322 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+( 159.3404693604 395.3072052002 62.8113250732 ) ( 159.7815093994 395.6309814453 60.8876342773 ) ( 164.3802642822 399.007019043 64.5894927979 ) base_wall/bluemetalsupport2e 0 0 2.0999999046 0.5 0.5 0 0 0
+}
+// brush 634
+{
+( 169.4435577393 402.7240600586 65 ) ( 168.2343902588 401.8363952637 65 ) ( 168.851776123 403.530166626 65 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 169.0404968262 402.4281616211 65.5 ) ( 168.4487304688 403.2342681885 65.5 ) ( 169.0404968262 402.4281616211 62 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 169.4435577393 402.7240600586 65.5 ) ( 169.4435577393 402.7240600586 62 ) ( 168.2343902588 401.8363952637 65.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 167.6426239014 402.6425018311 63.5 ) ( 168.2343902588 401.8363952637 63.5 ) ( 168.851776123 403.530166626 63.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 167.6426239014 402.6425018311 61.5 ) ( 167.6426239014 402.6425018311 65 ) ( 168.2343902588 401.8363952637 61.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 167.6426239014 402.6425018311 62 ) ( 168.851776123 403.530166626 62 ) ( 167.6426239014 402.6425018311 65.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+}
+// brush 635
+{
+( 169.8466033936 403.0199432373 63.5 ) ( 167.4282989502 401.2446136475 63.5 ) ( 169.2548370361 403.8260498047 63.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 170.1424865723 402.616897583 63.5 ) ( 170.1424865723 402.616897583 61.5 ) ( 167.7241821289 400.8415679932 63.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 166.836517334 402.0507202148 61.5 ) ( 167.4282989502 401.2446136475 61.5 ) ( 169.2548370361 403.8260498047 61.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 166.5406341553 402.4537811279 61.5 ) ( 168.9589385986 404.229095459 61.5 ) ( 166.5406341553 402.4537811279 63.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 169.4435577393 402.7240600586 -64 ) ( 169.3363952637 402.0251159668 -64 ) ( 169.4435577393 402.7240600586 64 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 168.5302886963 401.4333496094 -64 ) ( 167.8313446045 401.540512085 -64 ) ( 168.5302886963 401.4333496094 64 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 167.2395782471 402.3466033936 -64 ) ( 167.3467407227 403.0455474854 -64 ) ( 167.2395782471 402.3466033936 64 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 168.1528320312 403.6373291016 -64 ) ( 168.851776123 403.530166626 -64 ) ( 168.1528320312 403.6373291016 64 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 34.0902709961 583.7199401855 61.5 ) ( 34.4933319092 584.015838623 63.5 ) ( 109.8374328613 480.5386657715 61.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 35.2994384766 584.6076049805 63.5 ) ( 35.7024841309 584.9034881592 61.5 ) ( 111.046585083 481.4263305664 63.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 168.4487304688 403.2342681885 63.5 ) ( 167.3467407227 403.0455474854 62 ) ( 168.1528320312 403.6373291016 62 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+( 169.3363952637 402.0251159668 62 ) ( 168.5302886963 401.4333496094 62 ) ( 169.0404968262 402.4281616211 63.5 ) base_wall/bluemetalsupport2e 0 4 0 0.5 0.5 0 0 0
+}
+// brush 636
+{
+( 169.2583007812 403 69.1206207275 ) ( 169.2583007812 402.5 69.1206207275 ) ( 168.9282531738 403 69.4962158203 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169.2583007812 410.5 69.6206207275 ) ( 168.9282531738 410.5 69.9962158203 ) ( 158.7418823242 410.5 60.3791503906 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169.2583007812 403 69.1206207275 ) ( 158.7418823242 403 59.8791503906 ) ( 169.2583007812 402.5 69.1206207275 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.411819458 402.5 60.2547302246 ) ( 158.7418823242 402.5 59.8791503906 ) ( 158.411819458 403 60.2547302246 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.411819458 394.5 61.7547302246 ) ( 168.9282531738 394.5 70.9962158203 ) ( 158.7418823242 394.5 61.3791503906 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.411819458 402.5 60.2547302246 ) ( 158.411819458 403 60.2547302246 ) ( 168.9282531738 402.5 69.4962158203 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 637
+{
+( 178.2684173584 403 58.8751525879 ) ( 178.2684173584 402.5 58.8751525879 ) ( 178.6344604492 403 59.2157592773 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178.7682189941 410.5 58.8893890381 ) ( 179.134262085 410.5 59.2300109863 ) ( 169.2309112549 410.5 69.1383056641 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178.2684173584 403 58.8751525879 ) ( 168.7311096191 403 69.1240539551 ) ( 178.2684173584 402.5 58.8751525879 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169.0971374512 402.5 69.4646911621 ) ( 168.7311096191 402.5 69.1240539551 ) ( 169.0971374512 403 69.4646911621 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 170.5965270996 394.5 69.5074157715 ) ( 180.1338500977 394.5 59.2584991455 ) ( 170.2305145264 394.5 69.1667785645 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169.0971374512 402.5 69.4646911621 ) ( 169.0971374512 403 69.4646911621 ) ( 178.6344604492 402.5 59.2157592773 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 638
+{
+( 178.5 411 69.5 ) ( 178.5 395 69.5 ) ( 162.5 411 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 180 395 72 ) ( 164 395 72 ) ( 180 395 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178 410.5 72 ) ( 178 410.5 60 ) ( 178 394.5 72 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 162 394.5 60 ) ( 178 394.5 60 ) ( 162 410.5 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 162 394.5 60 ) ( 162 394.5 72 ) ( 178 394.5 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.5 394.5 61 ) ( 158.5 410.5 61 ) ( 158.5 394.5 73 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.5 64 61 ) ( 168.5 64 69.5 ) ( 158.5 -64 61 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169.5 64 69.5 ) ( 178 64 60.5 ) ( 169.5 -64 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+}
+// brush 639
+{
+( 178.5 426.5 69.5 ) ( 178.5 410.5 69.5 ) ( 162.5 426.5 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 180 410.5 72 ) ( 164 410.5 72 ) ( 180 410.5 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 178 426 72 ) ( 178 426 60 ) ( 178 410 72 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 162 410 60 ) ( 178 410 60 ) ( 162 426 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 162 410 60 ) ( 162 410 72 ) ( 178 410 60 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.5 410 61 ) ( 158.5 426 61 ) ( 158.5 410 73 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 158.5 79.5 61 ) ( 168.5 79.5 69.5 ) ( 158.5 -48.5 61 ) common/invisible 0 0 0 0.5 0.5 0 0 0
+( 169.5 79.5 69.5 ) ( 178 79.5 60.5 ) ( 169.5 -48.5 69.5 ) common/invisible 0 0 0 0.5 0.5 0 0 0
 }
 }
@@ -6018,2 +6177,10 @@
 "_sun" "1"
 }
+// entity 27
+{
+"classname" "light"
+"origin" "168.5 402.5 60.5"
+"light" "100"
+"_sun" "1"
+"radius" "30"
+}